LSREALM(1)

NAME
lsrealm - List the realms in a DNSSEC-Tools realm file

SYNOPSIS
  lsrealm [options] <realm-files>

DESCRIPTION
This script lists the contents of the specified realm files. All realm files are loaded before the output is displayed. If any realms have duplicated names, whether within one file or across multiple files, the later realm will be the one whose data are displayed.

The output displayed for each realm in a realm file depends on the selected records, the selected attributes, and the selected output format. Each option in these option groups is described in detail in the next section. The three base output formats are described here.

The -terse option indicates that a minimal amount of output is desired; the -long option indicates that a great deal of output is desired. The record-selection and attribute-selection options may be used in conjunction with -terse to display exactly the set of realm fields needed.

The default output format is that used when neither -terse nor -long is given, and is a middle ground between terse and long output.

The table below shows the fields displayed for each output format.

    realm field          default        terse        long
    -------------        -------        -----        ----
    realm name             yes           yes         yes
    state                  yes           no          yes
    config directory       no            no          yes
    realm directory        no            no          yes
    rollrec file           no            no          yes
    administrator          no            no          yes
    directory              no            no          yes
    display flag           no            no          yes
    manager                no            no          yes
    manager arguments      no            no          yes
    user                   no            no          yes

OPTIONS
There are three types of options recognized by lsrealm: record-selection options, attribute-selection options, and output-format options. Each type is described in the subsections below.

  Record-selection Options
These options select the records that will be displayed by lsrealm. By default, all records will be displayed; selecting one or the other of these options will restrict the records shown.

These options are mutually exclusive.

-active
    List all active records in the realm file.

-inactive
    List all inactive records in the realm file.

  Attribute-selection Options
These options select the attributes of the records that will be displayed by lsrealm.

-admin
    The record's administrator value is included in the output. If an administrator value is not included in a realm, then the value "(defadmin)" will be given.

-args
    The record's user-defined arguments for the realm's rollover manager.

-configdir
    The record's configuration directory is included in the output. This value will be the filename only, unless the -fullpaths option is given. In that case, the full pathname will be printed.

-display
    The record's display flag, used by grandvizier is included in the output.

-manager
    The record's manager field, indicating which rollover manager is used for the realm.. The default is rollerd, but individual installations may use other managers.

-realmdir
    The record's realm directory is included in the output. This value will be the filename only, unless the -fullpaths option is given. In that case, the full pathname will be printed.

-rollrec
    The record's rollrec file is included in the output. This value will be the filename only, unless the -fullpaths option is given. In that case, the full pathname will be printed.

-state
    Include each realm record's state in the output. The state will be either "active" or "inactive". This field is part of the default output.

-user
    The record's user field, which is the user the realm's manager will be executed with. This field is not yet implemented.

  Output-format Options
These options select the type of output that will be given by lsrealm.

-count
    Only a count of matching realms in the realm file is given.

-fullpaths
    Display pathname data as the full pathname given in the realm file. If this option is not specified, only the filename itself will be displayed.

-headers
    Display explanatory column headers.

-terse
    Terse output is given. Only the record name and any other fields specifically selected are included in the output.

-long
    Long output is given. All record fields are included.

-help
    Display a usage message.

-Version
    Displays the version information for lsrealm and the DNSSEC-Tools package.

COPYRIGHT
Copyright 2012-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
dtrealms(8), grandvizier(8), realminit(8)

Net::DNS::SEC::Tools::realm.pm(3)

file-realm(5)